=== debian/changelog ===
adr-tools (3.0.0-2) unstable; urgency=medium

  * Update to debhelper compatibility level 13.
  * Bump standards-version to 4.6.0 without any changes.
  * Add Homepage field. 

 -- Zygmunt Krynicki <me@zygoon.pl>  Tue, 16 Nov 2021 00:29:59 +0100

adr-tools (3.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #991261)

 -- Zygmunt Krynicki <me@zygoon.pl>  Fri, 09 Jul 2021 10:54:37 +0200
