=== debian/control ===
Source: adr-tools
Section: devel
Priority: optional
Maintainer: Zygmunt Krynicki <me@zygoon.pl>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13)
Homepage: https://github.com/npryce/adr-tools
Rules-Requires-Root: no

Package: adr-tools
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}
Description: tools for working with a log of Architecture Decision Records
 Architecture Decision Records or ADRs for short encode architectural
 decisions through the lifetime of a project. They are meant to help future
 maintainers to understand how the project came do be the way it is. ADRs can
 help understand past decisions, supersede them with new decisions and list
 currently effective decisions.
