=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/adr-tools/usr/bin
	mkdir -p $(CURDIR)/debian/adr-tools/usr/libexec/adr-tools/
	mkdir -p $(CURDIR)/debian/adr-tools/usr/share/adr-tools/
	mkdir -p $(CURDIR)/debian/adr-tools/usr/share/bash-completion/completions
	cp src/_adr* $(CURDIR)/debian/adr-tools/usr/libexec/adr-tools/
	cp src/adr-* $(CURDIR)/debian/adr-tools/usr/libexec/adr-tools/
	cp src/*.md $(CURDIR)/debian/adr-tools/usr/share/adr-tools/
	cp src/adr $(CURDIR)/debian/adr-tools/usr/bin
	cp autocomplete/adr $(CURDIR)/debian/adr-tools/usr/share/bash-completion/completions

# There is nothing to build, the makefile defaults to "check". See below for
# why this is disabled.
override_dh_auto_build:
	true

# Tests rely on being executed from source.
override_dh_auto_test:
	true
