=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/adr-tools-$1\.tar\.gz/ \
  https://github.com/npryce/adr-tools/tags .*/v?(\d\S+)\.tar\.gz
